RenderContext (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## grails.rest.render
[Groovy] Interface RenderContext

    interface RenderContext

Passed to a renderer to provide context information

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`MimeType` | `getAcceptMimeType()` @return Returns the mime type accepted by the client or null if non specified
`java.lang.String` | `getActionName()` @return The current action name
`java.util.Map` | `getArguments()` @return Arguments passed by the user
`java.lang.String` | `getControllerName()` @return The current controller name
`java.util.List` | `getExcludes()` Which properties should be excluded from rendering
`org.springframework.http.HttpMethod` | `getHttpMethod()` @return The HTTP method
`java.util.List` | `getIncludes()` Which properties should be included in rendering
`java.util.Locale` | `getLocale()` @return The locale
`java.lang.String` | `getResourcePath()` @return The path the the resource
`java.lang.String` | `getViewName()` @return The view name to use
`java.io.Writer` | `getWriter()` @return The writer to render to
`void` | `setContentType(java.lang.String contentType)` Sets the content type of the rendered response
`void` | `setModel(java.util.Map model)` The model to use for the response
`void` | `setStatus(org.springframework.http.HttpStatus status)` @param status The status to set
`void` | `setViewName(java.lang.String viewName)` The view to use for the response

Method Detail

### getAcceptMimeType

    MimeType getAcceptMimeType()

  Returns:
    Returns the mime type accepted by the client or null if non specified

### getActionName

    java.lang.String getActionName()

  Returns:
    The current action name

### getArguments

    java.util.Map getArguments()

  Returns:
    Arguments passed by the user

### getControllerName

    java.lang.String getControllerName()

  Returns:
    The current controller name

### getExcludes

    java.util.List getExcludes()

  Which properties should be excluded from rendering
  Returns:
    A list of excludes

### getHttpMethod

    org.springframework.http.HttpMethod getHttpMethod()

  Returns:
    The HTTP method

### getIncludes

    java.util.List getIncludes()

  Which properties should be included in rendering
  Returns:
    A list of includes

### getLocale

    java.util.Locale getLocale()

  Returns:
    The locale

### getResourcePath

    java.lang.String getResourcePath()

  Returns:
    The path the the resource

### getViewName

    java.lang.String getViewName()

  Returns:
    The view name to use

### getWriter

    java.io.Writer getWriter()

  Returns:
    The writer to render to

### setContentType

    void setContentType(java.lang.String contentType)

  Sets the content type of the rendered response
  Parameters:
    `contentType` - The content type

### setModel

    void setModel(java.util.Map model)

  The model to use for the response
  Parameters:
    `model` - The model

### setStatus

    void setStatus(org.springframework.http.HttpStatus status)

  Parameters:
    `status` - The status to set

### setViewName

    void setViewName(java.lang.String viewName)

  The view to use for the response
  Parameters:
    `viewName` - The view name

Groovy Documentation